// $RCSfile: CounterMarker.java,v $
//
// Project "Principia"
//
// Michael Meyling
// Stoltenstrasse 38
// 22119 Hamburg
// Germany

package com.meyling.principia.argument;


/**
 * An object of this class represents a number. Its name would
 * have been <code>Number</code> if this class wouldn't exist
 * in <code>java.lang</code>.
 *
 * @version $Revision: 1.3 $
 * @author  Michael Meyling
 */
public interface CounterMarker extends Argument {

    /**
     * Get number of object.
     *
     * @return number, this value is >= 0
     */
    public int getNumber();

}
