// $RCSfile: SubjectVariableMarker.java,v $
//
// Project "Principia"
//
// Michael Meyling
// Stoltenstrasse 38
// 22119 Hamburg
// Germany

package com.meyling.principia.logic.basic;


import com.meyling.principia.argument.*;


/**
 * Implementions of this marker interface are threated as subject variables.
 * @version $Revision: 1.3 $
 * @author  Michael Meyling
 */
public interface SubjectVariableMarker extends Argument {

    /**
     * Get number of object.
     *
     * @return number, this value is >= 0
     */
    public int getNumber();


}
