// $RCSfile: IoConstants.java,v $
//
// Project "Principia"
//
// Michael Meyling
// Stoltenstrasse 38
// 22119 Hamburg
// Germany

package com.meyling.principia.io;


/**
 * This class provides constants of this package.
 *
 * @version $Revision: 1.3 $
 * @author  Michael Meyling
 */
public interface IoConstants  {

    static final String QUOTED_STRING
        = "quoted string";
    static final String NULLPOINTER_PARAMETER
        = "nullpointer is not accepted as an parameter";
    static final String NO_LETTER_DIGIT_STRING_FOUND
        = "non empty string containing letters or digits expected";
    static final String NO_QUOTED_STRING
        = "quoted string expected";
    static final String NO_QUOTE_TERMINATION
        = "quoted string was not terminated";
    static final String NO_POSITIVE_INTEGER_FOUND
        = "non negative integer expected";
    static final String NO_LEADING_ZERO_ALLOWED
        = "integer is not allowed to have leading zeros";
    static final String INTEGER_TOO_BIG
        = "integer must be smaller or equal to " + Integer.MAX_VALUE;
}
