// $RCSfile: Textable.java,v $
//
// Project "Principia"
//
// Michael Meyling
// Stoltenstrasse 38
// 22119 Hamburg
// Germany

package com.meyling.principia.module;


import com.meyling.principia.argument.*;


/**
 * Every thing that represent a kind of text data must implement
 * this interface.
 *
 * @version $Revision: 1.2 $
 * @author  Michael Meyling
 */
public interface Textable extends Argument {


    /**
     * Get label of object.
     *
     * @return  label of object
     */
    public String getText();


}
